package cn.com.countrygarden.bi.main.controller.project.BiVO;

import java.util.List;

public class BasicVOPackaging {
	
	public static Basic packaging(List<Object> data) {
		Basic b = new Basic();
		if(null == data) {
			b.data = data;
			b.resultCode = Basic.CODE_SUCCESS;
		}else {
			b.resultMsg = "未知原因错误";
			b.resultCode = Basic.CODE_FAIL;
		}
		return b;
	}
	
	public static Basic packaging(List<Object> data,String msg) {
		Basic b = new Basic();
		if(null == data) {
			b.data = data;
			b.resultCode = Basic.CODE_SUCCESS;
		}else {
			b.resultMsg = msg;
			b.resultCode = Basic.CODE_FAIL;
		}
		return b;
	}
}
